var rellicense = {
  className: "rellicense",
  classAttribute: "rel",
  classValue:     "license",

  xulFile: "chrome://tailsexport/content/microformats/rellicense/rellicense.xul",

  processChildNode: function(node, rellicense) 
  {
      if (isElementOfClass(node, "rel", "license"))
	{
      	  rellicense["url"] = fullUrl(node.ownerDocument, node.getAttribute("href"));
	}

	if( !rellicense.license )
	{
        rellicense["license"] = mfo_text(node); 
	}
	else
	{
        rellicense["license"] = rellicense.license + mfo_text(node); 
	}
  },

  add: function(formatObj) 
  {
    for (var i=0; i<__tailsMFO.length; i++) 
    {
      if (__tailsMFO[i].className == this.className && __tailsMFO[i].url == formatObj.url)
        return false;
    }

    return true;
  },

  populate: function(rellicense, win) 
  {
    if( !rellicense.license ) { rellicense.license = "license"; }

    setButtonValue(win, "rellicense_button", rellicense.license, rellicense.url);
  }
};
